<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use App\Helpers\s3upload;


class AuthController extends Controller
{

   use ConsumeExternalService;



    public function login()
    {
        return view('user.auth.login');
    }

    public function account_list()
    {
           
        $requestUri = "/v1/user_auth/avatar_list";

        $response = $this->performRequest("GET", $requestUri, []);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        return view('user.auth.account_list');
    }

    public function account_login($country_code, $phone_number)
    {
        return view('user.auth.account_login',compact('country_code','phone_number'));
    }

    public function login_post(request $request)
    {
    
        $post_data = array(
          
            'country_code' => $request->countryCode,
            'mobile_number' => $request->phone,
            'password' => $request->password,
            'device_token' => '0',
            'device_type' => 'I',
            'uuid' => '03e29f82-190a-4b92-b758-91de24b86fff',
            'os_version' => '31',
            'device_name' => 'iphone 5',
            'model_name' => 'abcd',

        );
        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/v1/user_auth/login", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        // dd($response_decoded);


        if ($response_decoded->code == 1) {
            $request->session()->put('login_user_data', $response_decoded->data);
            $request->session()->put('user_token', $response_decoded->data->device_info->token);


            $loginUserData = Session::get('login_user_data');
            // dd( $loginUserData);
            $userToken = Session::get('user_token');
            $userId = $loginUserData->user_id;
            $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


            $postdata = array(
                'user_id'=>$userId,
            );

            $requestUridata = "/v1/common/get_personal_info";
            
            $data3 = EncryptDecrypt::bodyEncrypt(json_encode($postdata));
            $response8 = $this->performRequest("POST", $requestUridata, $data3, $formParams);

            $response_decoded8 = json_decode(EncryptDecrypt::bodyDecrypt($response8));

            $usersss = $response_decoded8;

            // dd($usersss);

            if ($usersss->data->is_card_created == 0) {
                if($usersss->data->user_detail->user_type == "P"){
                    return redirect()->route('personal_card');

                }else{

                    return redirect()->route('business_card');
                }


            } else {
                
                return redirect()->route('home');
            }
            

        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }



    public function forgot_password()
    {
        return view('user.forgot.forgot_password');
    }


    public function forgot_post(Request $request)
    {

        Session::put('country_code', $request->country_code);
        Session::put('mobile_number', $request->phone);

        $post_data = array(
          
            'country_code' => $request->country_code,
            'mobile_number' => $request->phone,

        );

        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/v1/user_auth/forgot_password", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        // dd($response_decoded);

        if ($response_decoded->code == 1) {
            return redirect()->route('forgot_otp_verify');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }


    public function forgot_otp_verify()
    {
        $countryCode = Session::get('country_code');
        $phone = Session::get('mobile_number');


        return view('user.forgot.forgot_otp_verify',compact('countryCode','phone'));
    }


    public function forgot_otp_verify_post(Request $request)
    {
        $post_data = array(
            'country_code'=>$request->c_code,
            'mobile_number'=>$request->phone,
            'otp'=>$request->otp,
        );

        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        // dd($data1);
        $response = $this->performRequest("POST", "/v1/user_auth/verify_otp", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        if ($response_decoded->code == 1) {
            return redirect()->route('set_password');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }



    public function set_password()
    {

        $countryCode = Session::get('country_code');
        $phone = Session::get('mobile_number');

        return view('user.forgot.set_password',compact('countryCode','phone'));
    }


    public function set_password_post(Request $request)
    {
        $post_data = array(
            'country_code'=>$request->c_code,
            'mobile_number'=>$request->phone,
            'password'=>$request->new_password,
        );

        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        // dd($data1);
        $response = $this->performRequest("POST", "/v1/user_auth/reset_password", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        // dd($response_decoded);
        
        if ($response_decoded->code == 1) {
            return redirect()->route('login')->with('success', $response_decoded->message);

        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }

    public function signup()
    {
        return view('user.auth.signup');
    }


    public function signup_post(Request $request)
    {


        if($request->business_name != null){

            $post_data = array(
                'user_type'=>'C',
                'business_name'=>$request->business_name,
                'business_designation'=> $request->business_designation,
                'email' => $request->email,
                'country_code' => '+91',
                'mobile_number' => $request->phone,
                'password' => $request->password,
                'device_token' => '0',
                'device_type' => 'I',
                'uuid' => '03e29f82-190a-4b92-b758-91de24b86fff',
                'os_version' => '31',
                'device_name' => 'iphone 5',
            );
    
    
            if ($request->has('image')) {
                $file = $request->file('image');
                // dd($file);
                $imageName = $file->getClientOriginalName();
                $tmpFile = $file->getRealPath();
                $path = env('AWS_BUCKET_FOLDER') . env('PROFILE_IMAGES');
                $contents = s3upload::uploadImage($imageName, $tmpFile, $path);
                $post_data['business_logo'] = $contents;
                $post_data['avatar_id'] = 0;
            }
        
            if ($request->avatar_id != null) {
                $avatarId = $request->avatar_id;
                $post_data['avatar_id'] = $avatarId;
                $post_data['business_logo'] = null;
            }

            //   dd($post_data);

        } else {



            $post_data = array(
                'user_type'=>'P',
                'full_name'=>$request->full_name,
                'email' => $request->email,
                'country_code' => '+91',
                'mobile_number' => $request->phone,
                'password' => $request->password,
                'device_token' => '0',
                'device_type' => 'I',
                'uuid' => '03e29f82-190a-4b92-b758-91de24b86fff',
                'os_version' => '31',
                'device_name' => 'iphone 5',
            );
    
    
            if ($request->has('image')) {
                $file = $request->file('image');
                $imageName = $file->getClientOriginalName();
                $tmpFile = $file->getRealPath();
                $path = env('AWS_BUCKET_FOLDER') . env('PROFILE_IMAGES');
                $contents = s3upload::uploadImage($imageName, $tmpFile, $path);
                $post_data['profile_image'] = $contents;
                $post_data['avatar_id'] = 0;
            }
        
            if ($request->avatar_id != null) {
                $avatarId = $request->avatar_id;
                $post_data['avatar_id'] = $avatarId;
                $post_data['profile_image'] = null;
            }
            //   dd($post_data);

        }
        // https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/1707220904ride-user.png
        

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/v1/user_auth/signup", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        if ($response_decoded->code == 1) {

            $request->session()->put('login_user_data', $response_decoded->data);
            $request->session()->put('user_token', $response_decoded->data->device_info->token);
            
            return redirect()->route('otp_verify');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }


    public function select_avatar(Request $request)
    {
       

        $id = $request->avatar_id;

        $avatarUrl = $request->avatar_url;
       
        $output['id'] = $id;
        $output['url'] = $avatarUrl;

        return response()->json($output);
          
    }

    public function personal_signup()
    {

        $avatarId = Session::get('id');

        $requestUri = "/v1/user_auth/avatar_list";

        $response = $this->performRequest("GET", $requestUri, []);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        return view('user.auth.personal_signup',compact('response_decoded','avatarId'));
    }


    public function corporate_signup()
    {

        $requestUri = "/v1/user_auth/avatar_list";

        $response = $this->performRequest("GET", $requestUri, []);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        return view('user.auth.corporate_signup',compact('response_decoded'));
    }


    public function otp_verify()
    {
        $loginUserData = Session::get('login_user_data');

        // dd( $loginUserData);

        return view('user.auth.otp_verify',compact('loginUserData'));
    }

    public function otp_verify_post(Request $request)
    {
        $post_data = array(
            'country_code'=>$request->c_code,
            'mobile_number'=>$request->phone,
            'otp'=>$request->otp,
        );

        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        // dd($data1);
        $response = $this->performRequest("POST", "/v1/user_auth/verify_otp", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        if ($response_decoded->code == 1) {
            $request->session()->put('login_user_data', $response_decoded->data);
            return redirect()->route('success');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }



    public function resend_otp($country_code, $phone)
    {
        $post_data = array(
            'country_code'=>$country_code,
            'mobile_number'=>$phone,
        );

        // dd($post_data);

        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        // dd($data1);
        $response = $this->performRequest("POST", "/v1/user_auth/resend_otp", $data1);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        if ($response_decoded->code == 1) {
            $request->session()->put('login_user_data', $response_decoded->data);
            return redirect()->back('otp_verify');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
    }


    public function success()
    {
        $loginUserData = Session::get('login_user_data');

        // dd( $loginUserData);

        return view('user.auth.success',compact('loginUserData'));
    }



   public function logout()
   {

       $loginUserData = Session::get('login_user_data');

        // dd( $loginUserData);

       $userToken = Session::get('user_token');

       $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

       $requestUri = "/v1/user_auth/logout";

       $response = $this->performRequest("POST", $requestUri, null, $formParams);
       $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

    //    dd($response_decoded);

       if ($response_decoded->code == 1) {
           Session::forget('login_user_data');
           $output['url'] = route('index');
           return response()->json($output);
        }
       
   }





//    ---------------------------------------EDIT PROFILE--------------------------------------------



    public function edit_profile()
    {


        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


        $avatarId = Session::get('id');

        $requestUri = "/v1/user_auth/avatar_list";

        $response = $this->performRequest("GET", $requestUri, []);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);


       
        $requestUri2 = "/v1/user_auth/user_profile";
        
        $response2 = $this->performRequest("GET", $requestUri2, [], $formParams);

        $response_decoded2 = json_decode(EncryptDecrypt::bodyDecrypt($response2));

        $users = $response_decoded2;

        // dd($users);

        return view('user.editprofile.edit',compact('response_decoded','users'));
    }



    public function edit_post(Request $request)
    {
        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


        if($request->user_type != 'P'){

            $post_data = array(
                'user_type'=>"C",
                'business_name'=>$request->name,
                'business_designation'=>$request->business_designation,
                'email'=>$request->email,
                'country_code'=>$request->country_code,
                'mobile_number'=>$request->phone,
            );
    
    
            if ($request->has('image')) {
                $file = $request->file('image');
                $imageName = $file->getClientOriginalName();
                $tmpFile = $file->getRealPath();
                $path = env('AWS_BUCKET_FOLDER') . env('PROFILE_IMAGES');
                $contents = s3upload::uploadImage($imageName, $tmpFile, $path);
                $post_data['business_logo'] = $contents;
                $post_data['avatar_id'] = 0;
            }
        
            if ($request->avatar_id != null) {
                $avatarId = $request->avatar_id;
                $post_data['avatar_id'] = $avatarId;
                $post_data['business_logo'] = null;
            }
    
            // dd($post_data);
    

        }else{

            $post_data = array(
                'user_type'=>"P",
                'business_name'=>$request->name,
                'business_designation'=>$request->business_designation,
                'email'=>$request->email,
                'country_code'=>$request->country_code,
                'mobile_number'=>$request->phone,
            );
    
    
            if ($request->has('image')) {
                $file = $request->file('image');
                $imageName = $file->getClientOriginalName();
                $tmpFile = $file->getRealPath();
                $path = env('AWS_BUCKET_FOLDER') . env('PROFILE_IMAGES');
                $contents = s3upload::uploadImage($imageName, $tmpFile, $path);
                $post_data['profile_image'] = $contents;
                $post_data['avatar_id'] = 0;
            }
        
            if ($request->avatar_id != null) {
                $avatarId = $request->avatar_id;
                $post_data['avatar_id'] = $avatarId;
                $post_data['profile_image'] = null;
            }
    
            // dd($post_data);

        }

      
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/v1/user_auth/edit_profile", $data1, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        // dd($response_decoded);

        if ($response_decoded->code == 1) {
            return redirect()->route('home');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }



    }


}
