<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="auth-form  request-info-module">
                            <div class="text-center mb-4">
                                <h4 class="mb-0 header-text">Request Info</h4>
                            </div>
                            <div class="request-info-container">
                                <div class="request-info-card ">

                                    <div class="request_img_container">
                                           @if($details->data->avatar_icon != null)
                                                <img src="{{$rec_user->avatar_icon}}">
                                            @elseif ($details->data->profile_image != null && $details->data->profile_image != 'https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/')
                                                <img src="{{$details->data->profile_image}}">
                                            @elseif ($details->data->business_logo != null && $details->data->business_logo != 'https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/')
                                                <img src="{{$details->data->business_logo}}">
                                            @else
                                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s">
                                            @endif
                                   </div>
                                   
                                    <div>
                                   @if ($details->data->user_type == "C")
                                        
                                   <div class="requester-name mb-2">{{$details->data->business_name}}</div>
                                   @else
                                   <div class="requester-name mb-2">{{$details->data->full_name}}</div>
                                        
                                   @endif
                                        <a href="{{route('users_info', ['user_id' => $details->data->user_id])}}" class="text-uppercase">View Profile</a>
                                    </div>
                                </div>
                                <div class="request-policy">
                                    <p class="request-info-paratext">
                                        Jessica Smith has requested access to your business card information. You have
                                        the
                                        option to grant permission for this request."
                                    </p>

                                <form class="" id="loginform" name="loginform" method="POST" action="{{route('send_request')}}" data-parsley-validate="">
                                     @csrf
                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-12.png')}}">
                                                <p class="para-text mb-0">Email</p>
                                            </div>

                                            <div class="form-check">
                                                <input class="form-check-input " type="checkbox" value=""
                                                    id="flexCheckChecked" checked>
                                            </div>
                                        </div>
                                    </a>

                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-13.png')}}">
                                                <p class="para-text">Phone</p>
                                            </div>

                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value=""
                                                    id="flexCheckChecked" checked>
                                            </div>
                                        </div>
                                    </a>
                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-29.png')}}">
                                                <p class="para-text">Location</p>
                                            </div>

                                            <div class="form-check">
                                                <input class="form-check-input " type="checkbox" value=""
                                                    id="flexCheckChecked" checked>
                                            </div>
                                        </div>
                                    </a>
                                    <div class="d-flex gap-3 align-items-center py-4">
                                        <img src="{{asset('assets/images/profile-icon/icon-30.png')}}">
                                        <p class="para-text mb-0 fw-bold">Social Media</p>
                                    </div>
                                    @foreach ($details->data->SocialAccounts as $social)
                                        
                                    <a href="">
                                        <div class="request-info-policy gap-5">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{$social->social_media_icon}}" style="width: 30px;height: 30px;">
                                                <p class="para-text">{{$social->social_media_platform}}</p>
                                            </div>

                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value=""
                                                    id="flexCheckChecked" checked>
                                            </div>
                                        </div>
                                    </a>
                                   
                                    @endforeach
                                    <button type="submit" class="btn btn-gradient-primary m-2 w-100">Grant
                                        Permission</button>
                                </form>


                                        
                                    <!-- <div class="request-info-policy border-bottom-0">
                                        <div class="d-flex gap-3 align-items-center">
                                            <img src="{{asset('assets/images/profile-icon/icon-30.png">
                                            <p class="para-text">Social Media</p>
                                        </div>

                                        <div class="dropdown">
                                            <button class="dropdown-toggle" type="button" id="dropdownMenuButton1"
                                                data-bs-toggle="dropdown" aria-expanded="false"
                                                style="border: none; background:#fefefeba !important;">
                                                <img src="assets/images/profile-icon/arrow-right.png" class="pe-2">
                                            </button>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy gap-5">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-1.png">
                                                                <p class="para-text">Facebook</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked"
                                                                    checked>
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-2.png">
                                                                <p class="para-text">Instagram</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked">
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-3.png">
                                                                <p class="para-text">Youtube</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked"
                                                                    checked>
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-4.png">
                                                                <p class="para-text">Twitter</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked">
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-5.png">
                                                                <p class="para-text">Linkedin</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked"
                                                                    checked>
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-6.png">
                                                                <p class="para-text">Snap Chat</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked">
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <li><a class="dropdown-item" href="#">
                                                        <div class="request-info-policy">
                                                            <div class="d-flex gap-3 align-items-center">
                                                                <img src="assets/images/auth-icon/icon-7.png">
                                                                <p class="para-text">Messages</p>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input bg-success"
                                                                    type="checkbox" value="" id="flexCheckChecked">
                                                            </div>
                                                        </div>
                                                    </a></li>
                                                <a href="" class="btn btn-gradient-primary m-2" data-bs-toggle="modal"
                                                    data-bs-target="#permissiongrantmodal">Grant
                                                    Permission</a>
                                            </ul>
                                        </div>
                                    </div> -->


                                </div>
                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')

</body>

</html>
<div class="modal fade" id="permissiongrantmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content login-module">
            <div class="modal-header border-bottom-0" style="padding:10px ">
                <div></div>
                <a href="request.php"><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>

            </div>
            <div class="modal-body">
                <div class="d-flex gap-3 align-items-center">
                    <img src="assets/images/ticksign.png" class="img-fluid">
                    <div>
                        <h5 class="mb-0">Permission Granted!</h5>
                        <p class="mb-0">
                            You have successfully granted the
                            permission.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>