<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="auth-form  request-info-module">
                            <div class="text-center mb-4">
                                <h4 class="mb-0 header-text">Request Info</h4>
                            </div>
                            <div class="request-info-container">
                                <div class="request-info-card ">
                                    <div class="request_img_container">
                                                  @if($details->data->avatar_icon != null)
                                                    <img src="{{$details->data->avatar_icon}}">
                                                    @else
                                                    <img src="{{$details->data->profile_image}}">
                                                    @endif
                                   
                                   </div>
                                    <!-- <div class="requester-name">Esther Howard </div> -->
                                    <div>
                                        <div class="requester-name mb-2">{{$details->data->full_name}}</div>
                                        <a href="{{route('users_info', ['user_id' => $details->data->user_id])}}" class="text-uppercase">View Profile</a>
                                    </div>
                                </div>
                                <div class="request-policy">
                                    <p class="request-info-paratext">
                                        You have requested to Kristin Watson for
                                        below permission.
                                    </p>

                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-12.png')}}">
                                                <p class="para-text mb-0">Email</p>
                                            </div>
                                            @if($details->data->email == '1')
                                            <div class="text-success permission-text">Granted</div>
                                            @else
                                            <div class="text-danger permission-text">Not Granted</div>
                                            @endif
                                        </div>
                                    </a>
                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-13.png')}}">
                                                <p class="para-text">Phone</p>
                                            </div>
                                            @if($details->data->phone == '1')
                                            <div class="text-success permission-text">Granted</div>
                                            @else
                                            <div class="text-danger permission-text">Not Granted</div>
                                            @endif
                                        </div>
                                    </a>
                                    <a href="">
                                        <div class="request-info-policy">
                                            <div class="d-flex gap-3 align-items-center">
                                                <img src="{{asset('assets/images/profile-icon/icon-29.png')}}">
                                                <p class="para-text">Location</p>
                                            </div>
                                            @if($details->data->location == '1')
                                            <div class="text-success permission-text">Granted</div>
                                            @else
                                            <div class="text-danger permission-text">Not Granted</div>
                                            @endif
                                        </div>
                                    </a>
                                   
                                    <a href="javascript:void(0)" id="cancle_request" data-id ="{{$details->data->id}}" class="btn btn-outline-primary w-100">Cancel</a>
                                </div>

                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')

</body>

</html>