<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="event-info-module">
                            <div class="background-img text-center pb-3 mb-3">
                                <h4 class="mb-3 header-text">Personal Card</h4>

                                @if($users->data->profile_image != null)
                                <img src="{{$users->data->profile_image}}" class="img-fluid mb-2">
                                @elseif($users->data->avatar_icon != null)
                                <img src="{{$users->data->avatar_icon}}" class="img-fluid mb-2">
                                @else
                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s" class="img-fluid mb-2">
                                @endif

                                @if ($users->data->user_type != 'C')
                                <h2 class="username mb-2">{{$users->data->user_detail->full_name}}</h2>
                                    
                                @else
                                    
                                <h2 class="username mb-2">{{$users->data->name}}</h2>
                                @endif
                                <div class="user-control mb-3">

                                    <p class="text-center seprater">  
                                     @if ($users->data->total_following != 0)
                                         
                                     <a href="{{route('following',['user_id' => $users->data->user_id])}}" class="seprate-link ">{{$users->data->total_following}}<span class="">Following</span></a>
                                     @else
                                     <a href="javascript:void(0)" class="seprate-link ">{{$users->data->total_following}}<span class="">Following</span></a>
                                    
                                     @endif   
                                     </p>


                                    <p class="text-center">
                                    @if ($users->data->total_followers != 0)    
                                    <a href="{{route('followers',['user_id' => $users->data->user_id])}}" class="seprate-link line-none ">{{$users->data->total_followers}}
                                    <span class="">Followers</span></a>
                                    @else
                                    <a href="javascript:void(0)" class="seprate-link line-none ">{{$users->data->total_followers}}
                                    <span class="">Followers</span></a>
                                    @endif
                                    </p>
                                </div>
                            </div>
                            <div class="event-task">

                                        @if ($users->data->is_follow == 1)  
                                        <a href="" class="following-task"><img src="{{asset('assets/images/auth-icon/add-icon.png')}}"
                                        class="ps-2 fw-bold" style="height:15px;margin:auto;">Following</a>
                                        @else
                                        <a href="javascript:void(0)" data-id="{{$users->data->user_id}}" class="follow-task follow"><img src="{{asset('assets/images/business-user.png')}}"
                                        class="ps-2 fw-bold" style="height:15px;margin:auto;">Follow</a>
                                        @endif


                                         <a href="onetoone-chat.php"><img src="{{asset('assets/images/profile-icon/followers.png')}}"
                                        class="img-fluid"></a>
                            </div>
                            <hr class="divider my-4">

                            <ul class="nav nav-pills mb-3 d-flex align-items-center justify-content-around flex-nowrap"
                                id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home"
                                        aria-selected="true">Info</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-profile" type="button" role="tab"
                                        aria-controls="pills-profile" aria-selected="false">Company</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link" id="pills-profile1-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-profile1" type="button" role="tab"
                                        aria-controls="pills-profile1" aria-selected="false">Social Media</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link" id="pills-profile2-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-profile2" type="button" role="tab"
                                        aria-controls="pills-profile2" aria-selected="false">Location</button>
                                </li>


                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active " id="pills-home" role="tabpanel"
                                    aria-labelledby="pills-home-tab">
                                    <div class="info-text">
                                        <div class="d-flex align-items-center gap-3 mb-3">
                                            <img src="{{asset('assets/images/profile-icon/profile-info-1.png')}}" class="img-fluid">
                                            <p class="mb-0">{{$info->data->country_code}} {{$info->data->mobile_number}}</p>
                                        </div>
                                        <div class="d-flex align-items-center gap-3 mb-3">
                                            <img src="{{asset('assets/images/profile-icon/profile-info-2.png')}}" class="img-fluid">
                                            <p class="mb-0">{{$info->data->email}}</p>
                                        </div>
                                        <div class="d-flex align-items-center gap-3 mb-3">
                                            <img src="{{asset('assets/images/profile-icon/profile-info-3.png')}}" class="img-fluid">
                                            <p class="mb-0"> {{ \Carbon\Carbon::parse($users->data->date_of_birth)->format('d F Y') }}</p>
                                        </div>
                                        <div class="d-flex align-items-center gap-3 mb-3">
                                            <img src="{{asset('assets/images/profile-icon/profile-info-4.png')}}" class="img-fluid">
                                            <p class="mb-0">{{$info->data->address}}</p>
                                        </div>
                                    </div>
                                    <hr class="divider my-4">
                                    <div class="d-flex align-items-center justify-content-between gap-3 ">
                                        <p class="mb-0 footer-text">You can ask permission to see hidden info of
                                            business</p>
                                        <a href="" class="btn btn-gradient-primary " data-bs-toggle="modal"
                                            data-bs-target="#requestmodal">Request</a>
                                    </div>

                                </div>
                                <div class="tab-pane fade" id="pills-profile" role="tabpanel"
                                    aria-labelledby="pills-profile-tab">
                                    <div class="company-detail">
                                        <div class="company-text">
                                            @if ($cinfo->data->company_logo != null)
                                                
                                            <img src="{{$cinfo->data->company_logo}}" style="width: 70px;height: 70px;border-radius: 50px;">
                                            @else
                                            <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s" style="width: 70px;height: 70px;border-radius: 50px;">
                                            @endif
                                            <div>
                                                <h3>{{$cinfo->data->company_name}}</h3>
                                                <p class="mb-0">{{$cinfo->data->designation}}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <hr class="divider my-4">
                                    <div class="d-flex align-items-center justify-content-between gap-3 ">
                                        <p class="mb-0 footer-text">You can ask permission to see hidden info of
                                            business</p>
                                        <a href="" class="btn btn-gradient-primary " data-bs-toggle="modal"
                                            data-bs-target="#requestmodal">Request</a>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-profile1" role="tabpanel"
                                    aria-labelledby="pills-profile1-tab">
                                    <div class="social-detail">

                                        <div class="social-img justify-content-lg-evenly justify-content-md-center mb-3">
                                            @foreach ($social->data as $item)
                                            <a href="{{$item->social_media_account_link}}" target="_blank">

                                                <img src="{{$item->social_media_icon}}" class="img-fluid">

                                            </a>
                                                
                                            @endforeach
                                        </div>
                                
                                    </div>
                                    <hr class="divider my-4">
                                    <div class="d-flex align-items-center justify-content-between gap-3 ">
                                        <p class="mb-0 footer-text">You can ask permission to see hidden info of
                                            business</p>
                                        <a href="" class="btn btn-gradient-primary " data-bs-toggle="modal"
                                            data-bs-target="#requestmodal">Request</a>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-profile2" role="tabpanel"
                                    aria-labelledby="pills-profile2-tab">
                                    <div class="location-detail">
                                        <div class="mapouter mb-4">

                                
                                        <a href="https://maps.google.com/maps?q={{ $location->data->latitude }},{{ $location->data->longitude }}" target="_blank">

                                        <div class="gmap_canvas">
                                            <iframe width="1080" height="500" id="gmap_canvas"
                                                src="https://maps.google.com/maps?q={{ $location->data->latitude }},{{ $location->data->longitude }}&amp;t=&amp;z=13&amp;ie=UTF8&amp;iwloc=&amp;output=embed">
                                            </iframe>
                                        </div>
                                         </a>

                                        </div>
                                    </div>
                                    <hr class="divider my-4">
                                    <div class="d-flex align-items-center justify-content-between gap-3 ">
                                        <p class="mb-0 footer-text">You can ask permission to see hidden info of
                                            business</p>
                                        <a href="" class="btn btn-gradient-primary " data-bs-toggle="modal"
                                            data-bs-target="#requestmodal">Request</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
 
 $(document).ready(function () {


        $('.follow').on('click', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            $.ajax({
                url: "{{ route('follow') }}",
                type: 'POST',
                dataType: 'json',
                data: {
                    _token: '{{ csrf_token() }}',
                    follow_id: id,
                },
                success: function (response) {
                
                    if (response.url) {
                        location.reload();
                    }
                },
                error: function (xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        });
});





 function submitForm() {
        var checkboxes = document.querySelectorAll('input[type="checkbox"]');
        checkboxes.forEach(function(checkbox) {
            if (!checkbox.checked) {
                checkbox.value = "0";
            } else {
                checkbox.value = "1";
            }
        });

        document.getElementById("loginform").submit();
    }
    
</script>

</body>

</html>
<div class="modal fade" id="requestmodal11" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content login-module">
            <div class="modal-header border-bottom-0" style="padding:10px ">
                <div></div>
                <a href="javascript:void(0)"><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>

            </div>
            <div class="modal-body pt-0">
                <div class="d-flex gap-3 align-items-center">
                    <img src="{{asset('assets/images/ticksign.png')}}" class="img-fluid">
                    <div>
                        <h5 class="mb-0">Request Sent!</h5>
                        <p class="mb-0">
                            We’ll notify you when Jessica grant the permission.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="requestmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content social-info-module">
            <div class="modal-header border-bottom-0 header-text  align-items-baseline" style="padding:10px ">
                <div class="d-flex flex-column">
                    <h4 class="mb-0">Which info do you want to see?</h4>
                    <p>You can ask permission for access business card info to Jessica Smith</p>

                </div>
                <a href=""><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>

            </div>


                    <form class="" id="loginform" name="loginform" method="POST" action="{{route('send_request')}}" data-parsley-validate="">
                        @csrf
                        <div class="modal-body p-3">
                            <div class="request-info-policy">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/request-img-1.png')}}">
                                    <p class="para-text mb-0">All Info</p>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="all_info" value="0" id="all_info">
                                </div>
                            </div>

                            <div class="request-info-policy">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/request-img-2.png')}}">
                                    <p class="para-text mb-0">Email</p>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="0" name="email" id="email">
                                </div>
                            </div>

                            <div class="request-info-policy">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/request-img-3.png')}}">
                                    <p class="para-text mb-0">Phone</p>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="0" name="phone" id="phone">
                                </div>
                            </div>

                            <div class="request-info-policy">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/request-img-5.png')}}">
                                    <p class="para-text mb-0">Location</p>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="0" name="location" id="location">
                                </div>
                            </div>




                            
                            <div class="request-info-policy border-bottom-0">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/request-img-4.png')}}">
                                    <p class="para-text mb-0">Social Media</p>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="0" name="is_socialmedia" id="is_socialmedia">
                                </div>
                            </div>

                            

                            <div class="request-info-policy gap-5">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/auth-icon/icon-1.png')}}">
                                    <p class="para-text">Facebook</p>
                                </div>

                                <div class="form-check social">
                                    <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked">
                                </div>
                            </div>

                            <div class="request-info-policy">
                                <div class="d-flex gap-3 align-items-center">
                                    <img src="{{asset('assets/images/auth-icon/icon-2.png')}}">
                                    <p class="para-text">Instagram</p>
                                </div>

                                <div class="form-check social">
                                    <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked">
                                </div>
                            </div>



                            <input type="hidden" name="card_id" id="card_id" value="{{$users->data->id}}">

                            <button type="button" onclick="submitForm()" class="btn btn-gradient-primary w-100">Send Request</button>
                        </div>
                    </form>



        </div>
    </div>
</div>