<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::get('/index', [App\Http\Controllers\User\HomeController::class, 'index'])->name('index');

Route::get('home', [App\Http\Controllers\User\HomeController::class, 'home'])->name('home');


Route::get('change_status/{status_id}', [App\Http\Controllers\User\HomeController::class, 'change_status'])->name('change_status');





Route::get('login', [App\Http\Controllers\User\AuthController::class, 'login'])->name('login');
Route::post('login_post', [App\Http\Controllers\User\AuthController::class, 'login_post'])->name('login_post');
Route::get('account_list', [App\Http\Controllers\User\AuthController::class, 'account_list'])->name('account_list');

Route::get('account_login/{country_code}/{phone_number}', [App\Http\Controllers\User\AuthController::class, 'account_login'])->name('account_login');

Route::get('forgot_password', [App\Http\Controllers\User\AuthController::class, 'forgot_password'])->name('forgot_password');
Route::post('forgot_post', [App\Http\Controllers\User\AuthController::class, 'forgot_post'])->name('forgot_post');
Route::get('forgot_otp_verify', [App\Http\Controllers\User\AuthController::class, 'forgot_otp_verify'])->name('forgot_otp_verify');
Route::post('forgot_otp_verify_post', [App\Http\Controllers\User\AuthController::class, 'forgot_otp_verify_post'])->name('forgot_otp_verify_post');
Route::get('set_password', [App\Http\Controllers\User\AuthController::class, 'set_password'])->name('set_password');
Route::post('set_password_post', [App\Http\Controllers\User\AuthController::class, 'set_password_post'])->name('set_password_post');


Route::get('signup', [App\Http\Controllers\User\AuthController::class, 'signup'])->name('signup');
Route::post('signup_post', [App\Http\Controllers\User\AuthController::class, 'signup_post'])->name('signup_post');
Route::get('logout', [App\Http\Controllers\User\AuthController::class, 'logout'])->name('logout');
Route::get('setting', [App\Http\Controllers\User\SettingController::class, 'setting'])->name('setting');
Route::get('signout', [App\Http\Controllers\User\SettingController::class, 'signout'])->name('signout');
Route::get('personal-signup', [App\Http\Controllers\User\AuthController::class, 'personal_signup'])->name('personal_signup');
Route::get('corporate-signup', [App\Http\Controllers\User\AuthController::class, 'corporate_signup'])->name('corporate_signup');


Route::get('otp-verify', [App\Http\Controllers\User\AuthController::class, 'otp_verify'])->name('otp_verify');
Route::post('otp-verify-post', [App\Http\Controllers\User\AuthController::class, 'otp_verify_post'])->name('otp_verify_post');
Route::get('resend_otp/{country_code}/{phone}', [App\Http\Controllers\User\AuthController::class, 'resend_otp'])->name('resend_otp');
Route::post('select_avatar', [App\Http\Controllers\User\AuthController::class, 'select_avatar'])->name('select_avatar');
Route::get('success', [App\Http\Controllers\User\AuthController::class, 'success'])->name('success');


Route::get('edit_profile', [App\Http\Controllers\User\AuthController::class, 'edit_profile'])->name('edit_profile');
Route::post('edit_post', [App\Http\Controllers\User\AuthController::class, 'edit_post'])->name('edit_post');



// --------------REQUEST


Route::get('request', [App\Http\Controllers\User\RequestController::class, 'request'])->name('request');
Route::get('sent_request_details/{id}', [App\Http\Controllers\User\RequestController::class, 'sent_request_details'])->name('sent_request_details');
Route::get('cancle_request', [App\Http\Controllers\User\RequestController::class, 'cancle_request'])->name('cancle_request');
Route::post('send_request', [App\Http\Controllers\User\RequestController::class, 'send_request'])->name('send_request');


Route::get('receive_req_info/{id}', [App\Http\Controllers\User\RequestController::class, 'receive_req_info'])->name('receive_req_info');



// ------card

Route::get('personal_card', [App\Http\Controllers\User\CardController::class, 'personal_card'])->name('personal_card');
Route::get('create_personal_card', [App\Http\Controllers\User\CardController::class, 'create_personal_card'])->name('create_personal_card');
Route::post('personal_card_post', [App\Http\Controllers\User\CardController::class, 'personal_card_post'])->name('personal_card_post');
Route::get('add_location', [App\Http\Controllers\User\CardController::class, 'add_location'])->name('add_location');
Route::post('add_location_post', [App\Http\Controllers\User\CardController::class, 'add_location_post'])->name('add_location_post');
Route::get('add_social_media', [App\Http\Controllers\User\CardController::class, 'add_social_media'])->name('add_social_media');
Route::post('social_media_post', [App\Http\Controllers\User\CardController::class, 'social_media_post'])->name('social_media_post');
Route::get('business_card', [App\Http\Controllers\User\CardController::class, 'business_card'])->name('business_card');
Route::get('business_info', [App\Http\Controllers\User\CardController::class, 'business_info'])->name('business_info');
Route::get('edit_personal_card', [App\Http\Controllers\User\CardController::class, 'edit_personal_card'])->name('edit_personal_card');
Route::get('edit_business_card', [App\Http\Controllers\User\CardController::class, 'edit_business_card'])->name('edit_business_card');
Route::post('edit_personal_card_post', [App\Http\Controllers\User\CardController::class, 'edit_personal_card_post'])->name('edit_personal_card_post');
Route::get('edit_location', [App\Http\Controllers\User\CardController::class, 'edit_location'])->name('edit_location');
Route::post('edit_location_post', [App\Http\Controllers\User\CardController::class, 'edit_location_post'])->name('edit_location_post');
Route::get('edit_social', [App\Http\Controllers\User\CardController::class, 'edit_social'])->name('edit_social');
Route::post('edit_social_post', [App\Http\Controllers\User\CardController::class, 'edit_social_post'])->name('edit_social_post');



// --------Personal users

Route::get('users_info/{user_id}', [App\Http\Controllers\User\HomeController::class, 'users_info'])->name('users_info');
Route::post('follow', [App\Http\Controllers\User\FollowersController::class, 'follow'])->name('follow');

Route::get('followers/{user_id}', [App\Http\Controllers\User\FollowersController::class, 'followers'])->name('followers');

Route::get('following/{user_id}', [App\Http\Controllers\User\FollowersController::class, 'following'])->name('following');







// ---------------EVENT


Route::get('event', [App\Http\Controllers\User\EventController::class, 'event'])->name('event');
Route::get('create_event', [App\Http\Controllers\User\EventController::class, 'create_event'])->name('create_event');
Route::post('create_event_post', [App\Http\Controllers\User\EventController::class, 'create_event_post'])->name('create_event_post');
Route::get('event_list', [App\Http\Controllers\User\EventController::class, 'event_list'])->name('event_list');
Route::post('event_detail', [App\Http\Controllers\User\EventController::class, 'event_detail'])->name('event_detail');
Route::get('event_info', [App\Http\Controllers\User\EventController::class, 'event_info'])->name('event_info');












